"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const yhattmtslib_1 = require("yhattmtslib");
class Gpio extends core_1.Command {
    async run() {
        const { flags } = await this.parse(Gpio);
        const { pin, status } = flags;
        switch (status) {
            case 'highlow': {
                this.log('Set GPIO to ON then OFF');
                yhattmtslib_1.gpio.setHighToLow(pin, 1000);
                break;
            }
            case 'high': {
                this.log('Set GPIO to high');
                yhattmtslib_1.gpio.setHigh(pin);
                break;
            }
            case 'low': {
                this.log('Set GPIO to low');
                yhattmtslib_1.gpio.setLow(pin);
                break;
            }
            default: {
                this.log('status is wrong');
            }
        }
    }
}
exports.default = Gpio;
Gpio.description = 'set GPIO';
Gpio.examples = [
    '<%= config.bin %> <%= command.id %> -s on',
];
Gpio.flags = {
    pin: core_1.Flags.integer({ char: 'p', description: 'GPIO pin number', required: true }),
    status: core_1.Flags.string({ char: 's', description: 'status is highlow/high/low', required: true }),
};
