"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const rxjs_1 = require("rxjs");
const yhattmtslib_1 = require("yhattmtslib");
class Iot extends core_1.Command {
    async run() {
        this.log('Start');
        const cli = yhattmtslib_1.mqtt.connect('https://broker.hivemq.com');
        cli.subscribe('weizhen', (err) => {
            if (err) {
                console.log(err);
            }
        });
        cli.on('message', (topic, msg) => {
            const cmd = msg.toString();
            console.log(topic, cmd);
            if (cmd === 'open') {
                console.log('open door');
                yhattmtslib_1.gpio.setHighToLow(14, 500);
            }
        });
        (0, rxjs_1.timer)(0, 10000).subscribe(n => this.log('keep alive', n));
    }
}
exports.default = Iot;
Iot.description = 'Weizhen home';
Iot.examples = [
    '<%= config.bin %> <%= command.id %>',
];
